/****************************************************************************
* CASTATUS.H
*
* (C) Copyright 1998 Rainbow Technologies, Inc. All rights reserved.
*
*     This software contains proprietary information which shall not
*     be reproduced or transferred to other documents and shall not
*     be disclosed to others or used for manufacturing or any other
*     purpose without prior written permission of Rainbow Technologies,
*     Inc.
*
* Description: Client Activator Status Codes
*
* Revision History :
*
* $Archive: $
* $Revision: $
* $Header: $
* $Author: $
* $Date: $
*
*****************************************************************************/
#ifndef _CASTATUS_H
#define _CASTATUS_H

#define CA_ERROR_STATUS_BASE        10000
#define CA_SUCCESS                  0
#define CA_MORE_THAN_1_INSTANCE     (CA_ERROR_STATUS_BASE+1)
#define CA_NO_CONFIG_FILE           (CA_ERROR_STATUS_BASE+2)
#define CA_INVALID_CONFIG_FILE      (CA_ERROR_STATUS_BASE+3)
#define CA_EXCEPTION_ERROR          (CA_ERROR_STATUS_BASE+4)
#define CA_BROWSER_NOT_INSTALLED    (CA_ERROR_STATUS_BASE+5)
#define CA_TRIAL_EXECUTION          (CA_ERROR_STATUS_BASE+6)
#define CA_USER_CANCELED            (CA_ERROR_STATUS_BASE+7)
#define CA_INVALID_PROJECT_FILE     (CA_ERROR_STATUS_BASE+8)
#define CA_NO_PROJECT_FILE          (CA_ERROR_STATUS_BASE+9)
#define CA_INVALID_CLIENT_LIB       (CA_ERROR_STATUS_BASE+10)
#define CA_INVALID_CLIENT_LIB_VER   (CA_ERROR_STATUS_BASE+11)
#define CA_NOT_INSTALLED            (CA_ERROR_STATUS_BASE+12)
#define CA_SPAWN_ERROR              (CA_ERROR_STATUS_BASE+13)
#define CA_NOT_ENOUGH_DISK_SPACE    (CA_ERROR_STATUS_BASE+14)
#define CA_INVALID_PARAMETER        (CA_ERROR_STATUS_BASE+15)
#define CA_INSTALL_ERROR            (CA_ERROR_STATUS_BASE+16)
#define CA_REBOOT_REQUIRED          (CA_ERROR_STATUS_BASE+17)
#define CA_BROWSER_SPAWN_ERROR      (CA_ERROR_STATUS_BASE+18)
#define CA_OS_NOT_SUPPORTED         (CA_ERROR_STATUS_BASE+19)
#define CA_PROJECT_FILE_VER_TOO_OLD (CA_ERROR_STATUS_BASE+20)
#define CA_CANNOT_CONVERT_FILE      (CA_ERROR_STATUS_BASE+21)
#define CA_INVALID_PERMISSION_LEVEL (CA_ERROR_STATUS_BASE+22)
#define CA_EXCEED_MAX_TRIAL_VALUE   (CA_ERROR_STATUS_BASE+23)
#define CA_UNKNOWN_ERROR            (CA_ERROR_STATUS_BASE+203)
#define CA_API_NOT_SUPPORTED        (CA_ERROR_STATUS_BASE+210)
#endif
