/* Returns a boolean value (represented as an int) that indicates
   if the license in the file named in pathname is still valid (true) or
   has expired (false).
*/
extern long checkLicense(char* buffer_sprintf, char* lic_filename);


/* for noSentinel licenses */
#define LICENSE_FILE "revxml.lic"

/* Reads the expiration date from the file named in pathname and stores
   the date elements in the long integers pointed to by year, month and day.
   
   If an error occurs, the year, month and day numbers will be set to zero.
*/
