#ifndef MAKE_WIN_H
#define MAKE_WIN_H

#if defined(WINDOWS) || defined(WIN32)

//#include "platform.h"
#include <windows.h>
#include <commdlg.h>


#define MAX_NR_LINES 40
#define MAX_NR_OPENWINDOWS 3
                   
                   
boolean InitApplication(
#ifndef NO_PROTO
	HANDLE hInstance
#endif
);

boolean InitChildInstance(
#ifndef NO_PROTO
	int win_id, 
	LPSTR title, 
	int xco, 
	int yco, 
	int width, 
	int height
#endif
);

long far pascal MainWndProc(
#ifndef NO_PROTO
	HWND hWnd, 
	UINT message, 
	WPARAM wParam, 
	LPARAM lParam
#endif
);

BOOL far pascal About(
#ifndef NO_PROTO
	HWND hDlg, 
	unsigned message, 
	WORD wParam, 
	LONG lParam
#endif
);

void showerror(
#ifndef NO_PROTO
	char *str
#endif
);
   
void win_showerror(
#ifndef NO_PROTO
	int win_id, 
	int err_no      
#endif
);
   
void flush_wwrite_buffer(
#ifndef NO_PROTO
	void
#endif
);

boolean wwrite(
#ifndef NO_PROTO
	char *str, 
	int win_id
#endif
);

boolean woverwrite(
#ifndef NO_PROTO
	char *str, 
	int win_id
#endif
);

boolean InitMainWindow(
#ifndef NO_PROTO
	HANDLE hInstance, 
	HANDLE hPrevInstance, 
	int nCmdShow,  
	char *windowTitle,
	int xco, 
	int yco, 
	int width, 
	int height
#endif
);

boolean Main_Loop(
#ifndef NO_PROTO
	void
#endif
);

#endif
#endif /* MAKE_WIN_H */
